<?php  require_once('Connections/conn.php'); ?>
<?php session_start();
  // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="ver_corte4.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="7" and $tipo_usuario!="16") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="ver_corte4.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  
  
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

 // Captura las variables que vienen de carga.php o de registrar_nota.php.
  $profesor = $_GET["profesor"];
  $periodo  = $_GET["periodo"];
  $seccion  = $_GET["seccion"];
  $sede     = $_GET["sede"];
  $materia  = $_GET["materia"];
  $carrera  = $_GET["carrera"];
  $turno  = $_GET["turno"];
  

// $conn=connect();  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rs_materias = "SELECT materias.nombre_materia, nivel, pensum, id_mencion,semestre FROM materias WHERE id_materia='$materia' and id_carrera='$carrera'";
$rs_materias = mysql_query($query_rs_materias, $conn) or die(mysql_error());
$row_rs_materias = mysql_fetch_assoc($rs_materias);
$totalRows_rs_materias = mysql_num_rows($rs_materias);
$nivel  = $row_rs_materias["nivel"];
$pensum  = $row_rs_materias["pensum"];
$mencion  = $row_rs_materias["id_mencion"];
$semestre  = $row_rs_materias["semestre"];


$query_rs_docentes = "SELECT apellidos, nombres FROM docentes WHERE id_docente='$profesor'";
$rs_docentes = mysql_query($query_rs_docentes, $conn) or die(mysql_error());
$row_rs_docentes = mysql_fetch_assoc($rs_docentes);
$totalRows_rs_docentes = mysql_num_rows($rs_docentes);
$nombre_docente=$row_rs_docentes['apellidos'].' '.$row_rs_docentes['nombres'];

$query_sede = "SELECT nombre_sede FROM sedes WHERE codigo='$sede'";
$rs_sede = mysql_query($query_sede, $conn) or die(mysql_error());
$row_sede = mysql_fetch_assoc($rs_sede);
$totalRows_sede = mysql_num_rows($rs_sede);

$query_carrera = "SELECT nombre_carrera FROM carreras WHERE id_carrera='$carrera'";
$rs_carrera = mysql_query($query_carrera, $conn) or die(mysql_error());
$row_carrera = mysql_fetch_assoc($rs_carrera);
$totalRows_carrera = mysql_num_rows($rs_carrera);

$query_periodo = "SELECT codigo FROM periodos WHERE id_periodo='$periodo'";
$rs_periodo = mysql_query($query_periodo, $conn) or die(mysql_error());
$row_periodo = mysql_fetch_assoc($rs_periodo);
$totalRows_periodo = mysql_num_rows($rs_periodo);
$id_periodo=$row_periodo['codigo']; 

$query_turnos = "SELECT turno FROM turnos WHERE codigo='$turno'";
$rs_turnos = mysql_query($query_turnos, $conn) or die(mysql_error());
$row_turnos = mysql_fetch_assoc($rs_turnos);
$totalRows_turnos = mysql_num_rows($rs_turnos);
$nombre_turno=$row_turnos['turno']; 

// Determina las ponderaciones de la materia.
$query_pondera = "SELECT pondera13,pondera14,pondera15,pondera16 FROM ponderaciones WHERE sede='$sede' and lapso='$periodo' and programa='$carrera' and pensum='$pensum' and nivel='$nivel' and mencion='$mencion' and seccion='$seccion' and turno='$turno' and semestre='$semestre' and materia='$materia' and id_docente='$profesor'";
$rs_pondera = mysql_query($query_pondera, $conn) or die(mysql_error());
$row_pondera = mysql_fetch_assoc($rs_pondera);
$totalRows_pondera = mysql_num_rows($rs_pondera);
$pondera13=$row_pondera["pondera13"];
$pondera14=$row_pondera["pondera14"];
$pondera15=$row_pondera["pondera15"];
$pondera16=$row_pondera["pondera16"];
?>

<html>
<head>
<title>sadce -- carga de notas</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .hr1 {
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
</head>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Consulta de Calificaciones (Corte 4)</h2></td></tr></table>
<table class="bd" border="0" cellspacing="1" cellpadding="2">
<tr>
   <td><b>CARRERA:</b>&nbsp;&nbsp;<?php echo $carrera.':'.$row_carrera['nombre_carrera']; ?></td>
</tr>

<tr>
   <td><b>UNIDAD CURRICULAR:</b>&nbsp;&nbsp;&nbsp;<?php echo $materia.':'.$row_rs_materias['nombre_materia']; ?></td>
</tr>
<tr>
<td colspan="2"><b>SEMESTRE:</b> <?php echo $semestre; ?>&nbsp;&nbsp;&nbsp;<b>SECCI&Oacute;N:</b> <?php echo $seccion; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>TURNO:</b> <?php echo $nombre_turno; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>LAPSO:</b> <?php echo $row_periodo['codigo']; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>SEDE:</b> <?php echo $row_sede['nombre_sede']; ?></td>
</tr>



</table>
<?php
  require_once('Connections/conn.php');
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'");
  
  $showrecs = 100;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
 
  switch ($sql) {
    
    case "update":
      sql_update();
      break;
   
	  }

  switch ($a) {
    case "view":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break;
	 case "edit":
      viewrec($recid, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
      break; 
    default:
      select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<hr size="1" noshade>

</body>
</html>

<?php function select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
  {
  
  global $conn;
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;
  global $nombre_docente;
  global $pondera13;
  global $pondera14;
  global $pondera15;
  global $pondera16;

  //Busco el nombre de la materia

 
  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" width="100%">
<tr>
<td colspan="2"><b>DOCENTE:</b>&nbsp;&nbsp;<?php echo $nombre_docente; ?>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>ESTUDIANTES INSCRITOS:</b>&nbsp;&nbsp; <?php echo $count ?></td>
</tr>
</table>
<hr size="1" noshade>
<form name="editar_nota" id="editar_nota">

<table class="tbl" border="0" cellspacing="1" cellpadding="3" width="100%">
<tr>

<td align="center" class="hr" rowspan="2">N°</td>
<td align="center" class="hr" rowspan="2">C&eacute;dula</td>
<td align="center" class="hr" rowspan="2">Apellidos</td>
<td align="center" class="hr" rowspan="2">Nombres</td>
<td align="center" class="hr">Eval.<br>13</td>
<td align="center" class="hr">Eval.<br>14</td>
<td align="center" class="hr">Eval.<br>15</td>
<td align="center" class="hr">Eval.<br>16</td>
<td align="center" class="hr">Corte 4</td>
<td align="center" class="hr">V.A.</td>
</tr>
<tr>

<td align="center" class="hr"><?php echo $pondera13 ?>%</td>
<td align="center" class="hr"><?php echo $pondera14 ?>%</td>
<td align="center" class="hr"><?php echo $pondera15 ?>%</td>
<td align="center" class="hr"><?php echo $pondera16 ?>%</td>
<td align="center" class="hr">25%</td>
<td align="center" class="hr">100%</td>

</tr>
<?php
  $nro=1;
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
	$id_alumno=$row["id_alumno"]
?>
<tr>

<td align="center" class="<?php echo $style ?>"><?php echo htmlspecialchars($nro) ?></td>
<td align="right" class="<?php echo $style ?>"><?php echo htmlspecialchars($row["cedula"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["apellidos"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombres"]) ?></td>


<?php if($row["corte_4"]<(25/2)){
?>
  <td align="right" class="hr1" ><?php echo $row["eval13"]; ?></td>
  <td align="right" class="hr1" ><?php echo $row["eval14"]; ?></td>

<td align="right" class="hr1" ><?php echo $row["eval15"]; ?></td>

<td align="right" class="hr1" ><?php echo $row["eval16"]; ?> </td>

<td align="right" class="hr1" ><?php echo $row["corte_4"]; ?></td>
<td align="right" class="hr1" ><?php echo $row["acumulado"]; ?></td>
 <?php }
 else {
 ?> 
 <td align="right" class="<?php echo $style ?>" ><?php echo $row["eval13"]; ?></td>
<td align="right" class="<?php echo $style ?>" ><?php echo $row["eval14"]; ?></td>

<td align="right" class="<?php echo $style ?>" ><?php echo $row["eval15"]; ?></td>

<td align="right" class="<?php echo $style ?>" ><?php echo $row["eval16"]; ?> </td>

<td align="right" class="<?php echo $style ?>" ><?php echo $row["corte_4"]; ?></td>
<td align="right" class="<?php echo $style ?>" ><?php echo $row["acumulado"]; ?></td>
 <?php
 }
 ?>



</tr>

<?php
  $nro++;
  }
  mysql_free_result($res);
?>
</table>
</form>

<br>

<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  global $pondera1;
  global $pondera2;
  global $pondera3;
  global $pondera4;
  
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="2"width="80%">
<tr>
<td class="hr">C&eacute;dula&nbsp;</td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombres"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>
<tr>
<td class="hr">Evaluación 1&nbsp;</td>
<td class="dr"><input onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval1(this.value,'<?php echo $pondera1 ?>')" type="text" name="eval1" value="<?php echo str_replace('"', '&quot;', trim($row["eval1"])) ?>">&nbsp;/&nbsp;<?php echo $pondera1; ?>&nbsp;%</td>
</tr>
<tr>
<td class="hr">Evaluación 2&nbsp;</td>
<td class="dr"><input type="text" name="eval2" value="<?php echo str_replace('"', '&quot;', trim($row["eval2"])) ?>" onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval2(this.value,'<?php echo $pondera2 ?>')">&nbsp;/&nbsp;<?php echo $pondera2; ?>&nbsp;%</td>
</tr>
<tr>
<td class="hr">Evaluación 3&nbsp;</td>
<td class="dr"><input type="text" name="eval3" value="<?php echo str_replace('"', '&quot;', trim($row["eval3"])) ?>" onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval3(this.value,'<?php echo $pondera3 ?>')">&nbsp;/&nbsp;<?php echo $pondera3; ?>&nbsp;%</td>
</tr>
<tr>
<td class="hr">Evaluación 4&nbsp;</td>
<td class="dr"><input type="text" name="eval4" value="<?php echo str_replace('"', '&quot;', trim($row["eval4"])) ?>" onKeyPress="return NumCheck(event, this)" maxlength="5" size="2" onBlur="validar_eval4(this.value,'<?php echo $pondera4 ?>')">&nbsp;/&nbsp;<?php echo $pondera4; ?>&nbsp;%</td>
</tr>

</table>
<iframe name="frame1" id="frame1" with="0" height="0" frameborder="0" ></iframe>
<?php } ?>

<?php function showroweditor1($row, $iseditmode)
  {
  global $conn;
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5" width="50%">
<tr>
<td class="hr"><?php echo htmlspecialchars("Cédula o Pasaporte")."&nbsp;" ?></td>
<td class="dr"><input name="cedula"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["cedula"])) ?>" size="10" maxlength="10" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos")."&nbsp;" ?></td>
<td class="dr"><input name="apellidos"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["apellidos"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombres"  type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombres"])) ?>" size="40" maxlength="40" readonly="true"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Calificación")."&nbsp;" ?></td>
<td class="dr">
<input name="nota" id="nota" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nota"])) ?>" onKeyUp="mascara(this,'.',patron1,true)" maxlength="4" size="4" >
</td>
</tr>
</table>
<script type="text/javascript">
	document.editarNota.nota.focus();
</script>
<?php } ?>

<?php function viewrec($recid)
{ 
  global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;

  $res = sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  $count = sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno);
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("edit", $recid, $count, $profesor, $periodo, $seccion, $sede, $materia, $carrera);
  if($recid==$count-1){
     $recid=0;
	 }
   else {
     $recid=$recid+1;
	 }	 
?>
<br>
<form name="editar_nota" id="editar_nota" enctype="multipart/form-data" action="cargar_corte1.php?a=edit&recid=<?php echo $recid ?>&profesor=<?php echo $profesor ?>&periodo=<?php echo $periodo ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&materia=<?php echo $materia ?>&carrera=<?php echo $carrera ?>&turno=<?php echo $turno ?>" method="post" onSubmit="return validar_datos()">

<input type="hidden" name="sql" value="update">
<input type="hidden" name="xid" value="<?php echo $row["id"] ?>">
<input type="hidden" name="xid_alumno" value="<?php echo $row["id_alumno"] ?>">
<input type="hidden" name="xid_periodo" value="<?php echo $row["id_periodo"] ?>">
<input type="hidden" name="xid_seccion" value="<?php echo $row["id_seccion"] ?>">
<input type="hidden" name="xid_materia" value="<?php echo $materia ?>">
<input type="hidden" name="xid_carrera" value="<?php echo $carrera ?>">
<?php showroweditor($row, true); ?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>

<?php
  mysql_free_result($res);
} ?>

<?php function showrecnav($a, $recid, $count)
{
 global $profesor;
  global $periodo;
  global $seccion;
  global $sede;
  global $materia;
  global $carrera;
  global $turno;
  
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="cargar_corte1?periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="cargar_corte1.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Registro Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="cargar_corte1.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>&periodo=<?php echo $periodo ?>&carrera=<?php echo $carrera ?>&materia=<?php echo $materia ?>&seccion=<?php echo $seccion ?>&sede=<?php echo $sede ?>&profesor=<?php echo $profesor ?>&turno=<?php echo $turno ?>">Siguiente Registro</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function connect()
{
 $conn = mysql_connect("localhost", "siace_admin", "j7BnJdCGzyQBGcud");
  mysql_select_db("enaph_siace");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "Select inscripciones.id,inscripciones.id_alumno, alumnos.cedula, alumnos.apellidos, alumnos.nombres, inscripciones.id_periodo, inscripciones.id_carrera, inscripciones.id_materia, inscripciones.id_seccion,  inscripciones.eval1,  inscripciones.eval2,  inscripciones.eval3,  inscripciones.eval4,  inscripciones.eval5,  inscripciones.eval6,  inscripciones.eval7,  inscripciones.eval8,  inscripciones.eval9,  inscripciones.eval10,  inscripciones.eval11,  inscripciones.eval12,  inscripciones.eval13,  inscripciones.eval14,  inscripciones.eval15,   inscripciones.eval16, inscripciones.corte_1, inscripciones.corte_2, inscripciones.corte_3,  inscripciones.corte_4, inscripciones.acumulado, inscripciones.sede, inscripciones.fecha, inscripciones.id_docente From alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera' and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount($profesor, $periodo, $seccion, $sede, $materia, $carrera, $turno)
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;
  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM alumnos Inner Join inscripciones ON alumnos.id_alumno = inscripciones.id_alumno WHERE id_docente='$profesor' and id_periodo='$periodo' and id_seccion='$seccion' and inscripciones.sede='$sede' and id_materia='$materia' and id_carrera='$carrera'  and turno='$turno' ORDER BY apellidos,nombres";
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
} 


function sql_update()
{
  global $conn;
  global $_POST;
  
  $eval1=@$_POST["eval1"];
  $eval2=@$_POST["eval2"];
  $eval3=@$_POST["eval3"];
  $eval4=@$_POST["eval4"];
 
  
  if(strlen($eval1)==0) $eval1=0;
  if(strlen($eval2)==0) $eval2=0;
  if(strlen($eval3)==0) $eval3=0;
  if(strlen($eval4)==0) $eval4=0;
 
  $corte1=$eval1+$eval2+$eval3+$eval4;

  $sql = "update `inscripciones` set `eval1`=" .sqlvalue(@$_POST["eval1"], false).", `eval2`=" .sqlvalue(@$_POST["eval2"], false).", `eval3`=" .sqlvalue(@$_POST["eval3"], false).", `eval4`=" .sqlvalue(@$_POST["eval4"], false).", `corte_1`='$corte1' where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
  
// Actualiza el acumulado total del corte 1 obtenida por el estudiante.
	$sql = "update `inscripciones` set acumulado=corte_1+corte_2+corte_3+corte_4  where " .primarykeycondition();

    mysql_query($sql, $conn) or die(mysql_error());
	
	// Toma el corte 1 actualizado para devolverlo al formulario.
	$query_acumulado = "SELECT acumulado FROM inscripciones where " .primarykeycondition();
	
$rst_acumulado = mysql_query($query_acumulado, $conn) or die(mysql_error());
$row_acumulado = mysql_fetch_assoc($rst_acumulado);
$corte1=$row_acumulado['corte_1'];
$acumulado=$row_acumulado['acumulado'];

 $acumulado1Dec=round($acumulado,1);
 $acumuladoInt=round($acumulado1Dec);
 $definitiva=1;
		if($acumuladoInt>=1 && $acumuladoInt<=5){
		   $definitiva=1;
		} elseif ($acumuladoInt>=6 && $acumuladoInt<=11){
		   $definitiva=2;
		} elseif ($acumuladoInt>=12 && $acumuladoInt<=17){
		   $definitiva=3;
		} elseif ($acumuladoInt>=18 && $acumuladoInt<=23){
		   $definitiva=4;
		} elseif ($acumuladoInt>=24 && $acumuladoInt<=29){
		   $definitiva=5;
		} elseif ($acumuladoInt>=30 && $acumuladoInt<=34){
		   $definitiva=6;
		} elseif ($acumuladoInt>=35 && $acumuladoInt<=39){
		   $definitiva=7;
		} elseif ($acumuladoInt>=40 && $acumuladoInt<=44){
		   $definitiva=8;
		} elseif ($acumuladoInt>=45 && $acumuladoInt<=49){
		   $definitiva=9;
		} elseif ($acumuladoInt>=50 && $acumuladoInt<=54){
		   $definitiva=10;
		} elseif ($acumuladoInt>=55 && $acumuladoInt<=59){
		   $definitiva=11;
		} elseif ($acumuladoInt>=60 && $acumuladoInt<=64){
		   $definitiva=12;
		} elseif ($acumuladoInt>=65 && $acumuladoInt<=69){
		   $definitiva=13;
		} elseif ($acumuladoInt>=70 && $acumuladoInt<=74){
		   $definitiva=14;
		} elseif ($acumuladoInt>=75 && $acumuladoInt<=79){
		   $definitiva=15;
		} elseif ($acumuladoInt>=80 && $acumuladoInt<=84){
		   $definitiva=16;
		} elseif ($acumuladoInt>=85 && $acumuladoInt<=88){
		   $definitiva=17;
		} elseif ($acumuladoInt>=89 && $acumuladoInt<=92){
		   $definitiva=18;
		} elseif ($acumuladoInt>=93 && $acumuladoInt<=96){
		   $definitiva=19;
		} elseif ($acumuladoInt>=97 && $acumuladoInt<=100){
		   $definitiva=20;
		}
 
 $sql = "update `inscripciones` set nota='$definitiva'  WHERE id_alumno='$id_alumno' AND id_periodo='$periodo' AND id_carrera='$carrera' AND id_materia='$materia' AND id_seccion='$seccion' AND sede='$sede' AND turno='$turno'";
   mysql_query($sql, $conn) or die(mysql_error());
}


function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`id`";
  if (@$_POST["xid"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xid"], false);
  };
  $pk .= ")";
  return $pk;
}
?>





<?php

function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}



function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
 ?>
 
<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(2,2,4)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>

<script type="text/javascript">
function validar_eval1(eval1,pondera1)
{
  if((parseFloat(eval1)<0) || (parseFloat(eval1)>parseFloat(pondera1))){
      url="mensaje_eval1.php?eval1="+eval1+"&pondera1="+pondera1;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval2(eval2,pondera2)
{
  if((parseFloat(eval2)<0) || (parseFloat(eval2)>parseFloat(pondera2))){
      url="mensaje_eval2.php?eval2="+eval2+"&pondera2="+pondera2;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval3(eval3,pondera3)
{
  if((parseFloat(eval3)<0) || (parseFloat(eval3)>parseFloat(pondera3))){
      url="mensaje_eval3.php?eval3="+eval3+"&pondera3="+pondera3;
      frame1.location=url;
      return true;
  } 	
}
</script>

<script type="text/javascript">
function validar_eval4(eval4,pondera4)
{
  if((parseFloat(eval4)<0) || (parseFloat(eval4)>parseFloat(pondera4))){
      url="mensaje_eval4.php?eval4="+eval4+"&pondera4="+pondera4;
      frame1.location=url;
      return true;
  } 	
}
</script>




<script type="text/javascript">
function NumCheck(e, field) {
  key = e.keyCode ? e.keyCode : e.which

  // backspace
  if (key == 8) return true
  
  // 0-9
  if (key >= 48 && key <= 57) {

    if (field.value == "") return true
    
    regexp = /..[0-9]{2}$/
    return !(regexp.test(field.value))
  }

  // ,
  if (key == 46) {
  
    if (field.value == "") return false
    
    regexp = /^[0-9]+$/
    return regexp.test(field.value)
  }
  
  // other key
  return false

}

</script>




